# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the details of a Push to Wallet payment request In this tutorial, you'll learn how to use the Global Payments API to retrieve the payment details of a Push to Wallet payment request. By the end of this tutorial, you'll know how to: - Use the endToEndId to retrieve the transaction details of your payment request. ## Before you begin To retrieve the details of a Push to Wallet request, you'll need the `endToEndId` value for your payment request, which is provided in a [successful payment response](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/how-to/initiate-p2w-request#confirm-response). ## Create and send a payment details request A [successful response](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/how-to/initiate-p2w-request#confirm-response) includes an `endToEndId` value, which you can use to retrieve the status of the payment request. ```curl curl --location 'https://api-mock.payments.jpmorgan.com/tsapi/v1/payments?endToEndId=pl210g9t231r13541130' ``` A successful response contains the transaction details for your payment request: ```json { "paymentStatus": { "createDateTime": "2022-10-15T00:00:12.145", "status": "COMPLETED" }, "payments": { "requestedExecutionDate": "2022-06-28", "paymentIdentifiers": { "endToEndId": "pl210g9t231r13541130" }, "transferType": "CREDIT", "paymentCurrency": "USD", "paymentAmount": 10, "debtor": { "debtorAccount": { "accountId": "012345678", "accountType": "DDA" }, "debtorName": "Paula Smitty" }, "debtorAgent": { "financialInstitutionId": { "bic": "CHASUS33" } }, "creditor": { "creditorName": "Jane Smith", "creditorAccount": { "alternateAccountIdentifier": "0987600000", "accountType": "VENMO", "schemeName": { "proprietary": "TELI" } }, "postalAddress": { "postalCode": "33606", "country": "US" } }, "purpose": { "code": "GOODS", "type": "PROPRIETARY" }, "remittanceInformation": { "unstructuredInformation": [ "Payment for catering facilities - INVC009887" ] } }, "firmRootId": "98275a2d-i983-beed-6938-0521a7e0aexy" } ``` ## Next steps Review the Push to Wallet [payment parameters](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/payment-parameters). ## Related - Learn how to [initiate a Push to Wallet payment request](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/how-to/initiate-p2w-request). - Learn how to [get the status of your Push to Wallet request](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/how-to/get-status-of-p2w-request).